com.amazonaws.services.cloudfront.waiters

## Class AmazonCloudFrontWaiters

- java.lang.Object
- - com.amazonaws.services.cloudfront.waiters.AmazonCloudFrontWaiters

    public class AmazonCloudFrontWaiters
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AmazonCloudFrontWaiters(AmazonCloudFront client)` Constructs a new AmazonCloudFrontWaiters with the given client

### Method Summary

All Methods Instance Methods Concrete Methods
`Waiter<GetDistributionRequest>` `distributionDeployed()` Builds a DistributionDeployed waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.
`Waiter<GetInvalidationRequest>` `invalidationCompleted()` Builds a InvalidationCompleted waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.

`Waiter<GetStreamingDistributionRequest>`

`streamingDistributionDeployed()`
Builds a StreamingDistributionDeployed waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AmazonCloudFrontWaiters

    public AmazonCloudFrontWaiters(AmazonCloudFront client)

Constructs a new AmazonCloudFrontWaiters with the given client

Parameters:
  `client` - Service client

### Method Detail

#### distributionDeployed

    public Waiter<GetDistributionRequest> distributionDeployed()

Builds a DistributionDeployed waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.

#### streamingDistributionDeployed

    public Waiter<GetStreamingDistributionRequest> streamingDistributionDeployed()

Builds a StreamingDistributionDeployed waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.

#### invalidationCompleted

    public Waiter<GetInvalidationRequest> invalidationCompleted()

Builds a InvalidationCompleted waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.